
From: "Randy.Dunlap" <rddunlap@osdl.org>

oss/esssolo1: fix initdata section reference:

Error: ./sound/oss/esssolo1.o .text refers to 0000000000000bab R_X86_64_32S      .init.data+0x0000000000000004
Error: ./sound/oss/esssolo1.o .text refers to 0000000000000bb2 R_X86_64_32S      .init.data

Signed-off-by: Randy Dunlap <rddunlap@osdl.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/oss/esssolo1.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN sound/oss/esssolo1.c~oss-esssolo1-fix-initdata-section-references sound/oss/esssolo1.c
--- 25/sound/oss/esssolo1.c~oss-esssolo1-fix-initdata-section-references	2005-03-07 20:41:44.000000000 -0800
+++ 25-akpm/sound/oss/esssolo1.c	2005-03-07 20:41:44.000000000 -0800
@@ -2193,7 +2193,7 @@ static /*const*/ struct file_operations 
 static struct initvol {
 	int mixch;
 	int vol;
-} initvol[] __initdata = {
+} initvol[] __devinitdata = {
 	{ SOUND_MIXER_WRITE_VOLUME, 0x4040 },
 	{ SOUND_MIXER_WRITE_PCM, 0x4040 },
 	{ SOUND_MIXER_WRITE_SYNTH, 0x4040 },
_
